summaryrefslogtreecommitdiff
path: root/include/rom.sh
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2026-03-29 15:48:49 +0100
committerLeah Rowe <leah@libreboot.org>2026-03-29 16:08:00 +0100
commite54862fcccca0325da8ae2879c1fa965267d3df0 (patch)
tree337f39085fc382cb56781dea4c329672d45e08a2 /include/rom.sh
parent8657d084d2ae61a4cb06b5bc63223a92bfb5beb0 (diff)
lbmk: use mkhtemp in libreboot's build system
i added a fake -t option, which doesn't actually read optarg, so that -t usage can just override the normal template. mkhtemp isn't ready for distros yet, but it's ready for lbmk. i hacked the makefile to also copy the binary to mktemp, and i set PATH in lbmk so that this binary is used insttead of the one on your system. that way, upstream projects use it. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'include/rom.sh')
-rw-r--r--include/rom.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/include/rom.sh b/include/rom.sh
index 6f0e3529..afeba7d9 100644
--- a/include/rom.sh
+++ b/include/rom.sh
@@ -463,7 +463,7 @@ cprom()
irom="$tmprom"
if [ $# -gt 0 ]; then
- irom="$(mktemp || err "!mk irom, $(echo "$@")")" || \
+ irom="$("$mkhtemp" || err "!mk irom, $(echo "$@")")" || \
err "can't copy rom" "cprom" "$@"
x_ cp "$tmprom" "$irom" && cpcmd="mv"